<?php
/**
 * Get the google fonts from the API or in the cache
 *
 * @param  integer $amount
 *
 * @return String
 */

if ( ! function_exists( 'generate_google_fonts' ) ) :
add_action( 'admin_init','generate_google_fonts' );
function generate_google_fonts( $amount = 1000 )
{

	if ( get_transient('generate_google_fonts_list') )
		return;
	
	$content = json_decode( '{"kind":"webfonts#webfontList","items":[{"kind":"webfonts#webfont","family":"ABeeZee","category":"sans-serif","variants":["regular","italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Abel","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Abril Fatface","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Aclonica","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Acme","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Actor","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Adamina","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Advent Pro","category":"sans-serif","variants":["100","200","300","regular","500","600","700"],"subsets":["greek","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Aguafina Script","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Akronim","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Aladin","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Aldrich","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Alef","category":"sans-serif","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Alegreya","category":"serif","variants":["regular","italic","700","700italic","900","900italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Alegreya SC","category":"serif","variants":["regular","italic","700","700italic","900","900italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Alegreya Sans","category":"sans-serif","variants":["100","100italic","300","300italic","regular","italic","500","500italic","700","700italic","800","800italic","900","900italic"],"subsets":["latin","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Alegreya Sans SC","category":"sans-serif","variants":["100","100italic","300","300italic","regular","italic","500","500italic","700","700italic","800","800italic","900","900italic"],"subsets":["latin","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Alex Brush","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Alfa Slab One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Alice","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Alike","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Alike Angular","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Allan","category":"display","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Allerta","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Allerta Stencil","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Allura","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Almendra","category":"serif","variants":["regular","italic","700","700italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Almendra Display","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Almendra SC","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Amarante","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Amaranth","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Amatic SC","category":"handwriting","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Amethysta","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Anaheim","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Andada","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Andika","category":"sans-serif","variants":["regular"],"subsets":["cyrillic","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Angkor","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Annie Use Your Telescope","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Anonymous Pro","category":"monospace","variants":["regular","italic","700","700italic"],"subsets":["greek-ext","cyrillic","greek","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Antic","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Antic Didone","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Antic Slab","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Anton","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Arapey","category":"serif","variants":["regular","italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Arbutus","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Arbutus Slab","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Architects Daughter","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Archivo Black","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Archivo Narrow","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Arimo","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["greek-ext","cyrillic","greek","latin","cyrillic-ext","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Arizonia","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Armata","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Artifika","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Arvo","category":"serif","variants":["regular","italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Asap","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Asset","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Astloch","category":"display","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Asul","category":"sans-serif","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Atomic Age","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Aubrey","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Audiowide","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Autour One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Average","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Average Sans","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Averia Gruesa Libre","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Averia Libre","category":"display","variants":["300","300italic","regular","italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Averia Sans Libre","category":"display","variants":["300","300italic","regular","italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Averia Serif Libre","category":"display","variants":["300","300italic","regular","italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Bad Script","category":"handwriting","variants":["regular"],"subsets":["cyrillic","latin"]},{"kind":"webfonts#webfont","family":"Balthazar","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Bangers","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Basic","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Battambang","category":"display","variants":["regular","700"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Baumans","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Bayon","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Belgrano","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Belleza","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"BenchNine","category":"sans-serif","variants":["300","regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Bentham","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Berkshire Swash","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Bevan","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Bigelow Rules","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Bigshot One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Bilbo","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Bilbo Swash Caps","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Bitter","category":"serif","variants":["regular","italic","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Black Ops One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Bokor","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Bonbon","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Boogaloo","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Bowlby One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Bowlby One SC","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Brawler","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Bree Serif","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Bubblegum Sans","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Bubbler One","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Buda","category":"display","variants":["300"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Buenard","category":"serif","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Butcherman","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Butterfly Kids","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Cabin","category":"sans-serif","variants":["regular","italic","500","500italic","600","600italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Cabin Condensed","category":"sans-serif","variants":["regular","500","600","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Cabin Sketch","category":"display","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Caesar Dressing","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Cagliostro","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Calligraffitti","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Cambo","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Candal","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Cantarell","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Cantata One","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Cantora One","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Capriola","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Cardo","category":"serif","variants":["regular","italic","700"],"subsets":["greek-ext","greek","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Carme","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Carrois Gothic","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Carrois Gothic SC","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Carter One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Caudex","category":"serif","variants":["regular","italic","700","700italic"],"subsets":["greek-ext","greek","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Cedarville Cursive","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Ceviche One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Changa One","category":"display","variants":["regular","italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Chango","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Chau Philomene One","category":"sans-serif","variants":["regular","italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Chela One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Chelsea Market","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Chenla","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Cherry Cream Soda","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Cherry Swash","category":"display","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Chewy","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Chicle","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Chivo","category":"sans-serif","variants":["regular","italic","900","900italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Cinzel","category":"serif","variants":["regular","700","900"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Cinzel Decorative","category":"display","variants":["regular","700","900"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Clicker Script","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Coda","category":"display","variants":["regular","800"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Coda Caption","category":"sans-serif","variants":["800"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Codystar","category":"display","variants":["300","regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Combo","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Comfortaa","category":"display","variants":["300","regular","700"],"subsets":["cyrillic","greek","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Coming Soon","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Concert One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Condiment","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Content","category":"display","variants":["regular","700"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Contrail One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Convergence","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Cookie","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Copse","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Corben","category":"display","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Courgette","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Cousine","category":"monospace","variants":["regular","italic","700","700italic"],"subsets":["greek-ext","cyrillic","greek","latin","cyrillic-ext","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Coustard","category":"serif","variants":["regular","900"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Covered By Your Grace","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Crafty Girls","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Creepster","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Crete Round","category":"serif","variants":["regular","italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Crimson Text","category":"serif","variants":["regular","italic","600","600italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Croissant One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Crushed","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Cuprum","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Cutive","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Cutive Mono","category":"monospace","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Damion","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Dancing Script","category":"handwriting","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Dangrek","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Dawning of a New Day","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Days One","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Delius","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Delius Swash Caps","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Delius Unicase","category":"handwriting","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Della Respira","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Denk One","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Devonshire","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Didact Gothic","category":"sans-serif","variants":["regular"],"subsets":["greek-ext","cyrillic","greek","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Diplomata","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Diplomata SC","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Domine","category":"serif","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Donegal One","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Doppio One","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Dorsa","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Dosis","category":"sans-serif","variants":["200","300","regular","500","600","700","800"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Dr Sugiyama","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Droid Sans","category":"sans-serif","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Droid Sans Mono","category":"monospace","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Droid Serif","category":"serif","variants":["regular","italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Duru Sans","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Dynalight","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"EB Garamond","category":"serif","variants":["regular"],"subsets":["cyrillic","latin","cyrillic-ext","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Eagle Lake","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Eater","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Economica","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Ek Mukta","category":"sans-serif","variants":["200","300","regular","500","600","700","800"],"subsets":["devanagari","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Electrolize","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Elsie","category":"display","variants":["regular","900"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Elsie Swash Caps","category":"display","variants":["regular","900"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Emblema One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Emilys Candy","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Engagement","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Englebert","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Enriqueta","category":"serif","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Erica One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Esteban","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Euphoria Script","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Ewert","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Exo","category":"sans-serif","variants":["100","100italic","200","200italic","300","300italic","regular","italic","500","500italic","600","600italic","700","700italic","800","800italic","900","900italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Exo 2","category":"sans-serif","variants":["100","100italic","200","200italic","300","300italic","regular","italic","500","500italic","600","600italic","700","700italic","800","800italic","900","900italic"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Expletus Sans","category":"display","variants":["regular","italic","500","500italic","600","600italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Fanwood Text","category":"serif","variants":["regular","italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Fascinate","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Fascinate Inline","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Faster One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Fasthand","category":"serif","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Fauna One","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Federant","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Federo","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Felipa","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Fenix","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Finger Paint","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Fira Mono","category":"monospace","variants":["regular","700"],"subsets":["cyrillic","greek","latin","cyrillic-ext","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Fira Sans","category":"sans-serif","variants":["300","300italic","regular","italic","500","500italic","700","700italic"],"subsets":["cyrillic","greek","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Fjalla One","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Fjord One","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Flamenco","category":"display","variants":["300","regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Flavors","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Fondamento","category":"handwriting","variants":["regular","italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Fontdiner Swanky","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Forum","category":"display","variants":["regular"],"subsets":["cyrillic","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Francois One","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Freckle Face","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Fredericka the Great","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Fredoka One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Freehand","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Fresca","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Frijole","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Fruktur","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Fugaz One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"GFS Didot","category":"serif","variants":["regular"],"subsets":["greek"]},{"kind":"webfonts#webfont","family":"GFS Neohellenic","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["greek"]},{"kind":"webfonts#webfont","family":"Gabriela","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Gafata","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Galdeano","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Galindo","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Gentium Basic","category":"serif","variants":["regular","italic","700","700italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Gentium Book Basic","category":"serif","variants":["regular","italic","700","700italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Geo","category":"sans-serif","variants":["regular","italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Geostar","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Geostar Fill","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Germania One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Gilda Display","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Give You Glory","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Glass Antiqua","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Glegoo","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Gloria Hallelujah","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Goblin One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Gochi Hand","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Gorditas","category":"display","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Goudy Bookletter 1911","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Graduate","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Grand Hotel","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Gravitas One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Great Vibes","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Griffy","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Gruppo","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Gudea","category":"sans-serif","variants":["regular","italic","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Habibi","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Hammersmith One","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Hanalei","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Hanalei Fill","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Handlee","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Hanuman","category":"serif","variants":["regular","700"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Happy Monkey","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Headland One","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Henny Penny","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Herr Von Muellerhoff","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Hind","category":"sans-serif","variants":["300","regular","500","600","700"],"subsets":["devanagari","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Holtwood One SC","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Homemade Apple","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Homenaje","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"IM Fell DW Pica","category":"serif","variants":["regular","italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"IM Fell DW Pica SC","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"IM Fell Double Pica","category":"serif","variants":["regular","italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"IM Fell Double Pica SC","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"IM Fell English","category":"serif","variants":["regular","italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"IM Fell English SC","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"IM Fell French Canon","category":"serif","variants":["regular","italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"IM Fell French Canon SC","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"IM Fell Great Primer","category":"serif","variants":["regular","italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"IM Fell Great Primer SC","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Iceberg","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Iceland","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Imprima","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Inconsolata","category":"monospace","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Inder","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Indie Flower","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Inika","category":"serif","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Irish Grover","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Istok Web","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["cyrillic","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Italiana","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Italianno","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Jacques Francois","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Jacques Francois Shadow","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Jim Nightshade","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Jockey One","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Jolly Lodger","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Josefin Sans","category":"sans-serif","variants":["100","100italic","300","300italic","regular","italic","600","600italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Josefin Slab","category":"serif","variants":["100","100italic","300","300italic","regular","italic","600","600italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Joti One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Judson","category":"serif","variants":["regular","italic","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Julee","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Julius Sans One","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Junge","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Jura","category":"sans-serif","variants":["300","regular","500","600"],"subsets":["greek-ext","cyrillic","greek","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Just Another Hand","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Just Me Again Down Here","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Kalam","category":"handwriting","variants":["300","regular","700"],"subsets":["devanagari","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Kameron","category":"serif","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Kantumruy","category":"sans-serif","variants":["300","regular","700"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Karla","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Karma","category":"serif","variants":["300","regular","500","600","700"],"subsets":["devanagari","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Kaushan Script","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Kavoon","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Kdam Thmor","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Keania One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Kelly Slab","category":"display","variants":["regular"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Kenia","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Khmer","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Kite One","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Knewave","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Kotta One","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Koulen","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Kranky","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Kreon","category":"serif","variants":["300","regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Kristi","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Krona One","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"La Belle Aurore","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Lancelot","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Lato","category":"sans-serif","variants":["100","100italic","300","300italic","regular","italic","700","700italic","900","900italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"League Script","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Leckerli One","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Ledger","category":"serif","variants":["regular"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Lekton","category":"sans-serif","variants":["regular","italic","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Lemon","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Libre Baskerville","category":"serif","variants":["regular","italic","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Life Savers","category":"display","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Lilita One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Lily Script One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Limelight","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Linden Hill","category":"serif","variants":["regular","italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Lobster","category":"display","variants":["regular"],"subsets":["cyrillic","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Lobster Two","category":"display","variants":["regular","italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Londrina Outline","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Londrina Shadow","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Londrina Sketch","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Londrina Solid","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Lora","category":"serif","variants":["regular","italic","700","700italic"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Love Ya Like A Sister","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Loved by the King","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Lovers Quarrel","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Luckiest Guy","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Lusitana","category":"serif","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Lustria","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Macondo","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Macondo Swash Caps","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Magra","category":"sans-serif","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Maiden Orange","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Mako","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Marcellus","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Marcellus SC","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Marck Script","category":"handwriting","variants":["regular"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Margarine","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Marko One","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Marmelad","category":"sans-serif","variants":["regular"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Marvel","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Mate","category":"serif","variants":["regular","italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Mate SC","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Maven Pro","category":"sans-serif","variants":["regular","500","700","900"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"McLaren","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Meddon","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"MedievalSharp","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Medula One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Megrim","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Meie Script","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Merienda","category":"handwriting","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Merienda One","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Merriweather","category":"serif","variants":["300","300italic","regular","italic","700","700italic","900","900italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Merriweather Sans","category":"sans-serif","variants":["300","300italic","regular","italic","700","700italic","800","800italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Metal","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Metal Mania","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Metamorphous","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Metrophobic","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Michroma","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Milonga","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Miltonian","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Miltonian Tattoo","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Miniver","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Miss Fajardose","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Modern Antiqua","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Molengo","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Molle","category":"handwriting","variants":["italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Monda","category":"sans-serif","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Monofett","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Monoton","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Monsieur La Doulaise","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Montaga","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Montez","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Montserrat","category":"sans-serif","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Montserrat Alternates","category":"sans-serif","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Montserrat Subrayada","category":"sans-serif","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Moul","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Moulpali","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Mountains of Christmas","category":"display","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Mouse Memoirs","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Mr Bedfort","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Mr Dafoe","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Mr De Haviland","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Mrs Saint Delafield","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Mrs Sheppards","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Muli","category":"sans-serif","variants":["300","300italic","regular","italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Mystery Quest","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Neucha","category":"handwriting","variants":["regular"],"subsets":["cyrillic","latin"]},{"kind":"webfonts#webfont","family":"Neuton","category":"serif","variants":["200","300","regular","italic","700","800"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"New Rocker","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"News Cycle","category":"sans-serif","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Niconne","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Nixie One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Nobile","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Nokora","category":"serif","variants":["regular","700"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Norican","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Nosifer","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Nothing You Could Do","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Noticia Text","category":"serif","variants":["regular","italic","700","700italic"],"subsets":["latin","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Noto Sans","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["greek-ext","cyrillic","devanagari","greek","latin","cyrillic-ext","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Noto Serif","category":"serif","variants":["regular","italic","700","700italic"],"subsets":["greek-ext","cyrillic","greek","latin","cyrillic-ext","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Nova Cut","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Nova Flat","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Nova Mono","category":"monospace","variants":["regular"],"subsets":["greek","latin"]},{"kind":"webfonts#webfont","family":"Nova Oval","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Nova Round","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Nova Script","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Nova Slim","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Nova Square","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Numans","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Nunito","category":"sans-serif","variants":["300","regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Odor Mean Chey","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Offside","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Old Standard TT","category":"serif","variants":["regular","italic","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Oldenburg","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Oleo Script","category":"display","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Oleo Script Swash Caps","category":"display","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Open Sans","category":"sans-serif","variants":["300","300italic","regular","italic","600","600italic","700","700italic","800","800italic"],"subsets":["greek-ext","cyrillic","devanagari","greek","latin","cyrillic-ext","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Open Sans Condensed","category":"sans-serif","variants":["300","300italic","700"],"subsets":["greek-ext","cyrillic","greek","latin","cyrillic-ext","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Oranienbaum","category":"serif","variants":["regular"],"subsets":["cyrillic","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Orbitron","category":"sans-serif","variants":["regular","500","700","900"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Oregano","category":"display","variants":["regular","italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Orienta","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Original Surfer","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Oswald","category":"sans-serif","variants":["300","regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Over the Rainbow","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Overlock","category":"display","variants":["regular","italic","700","700italic","900","900italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Overlock SC","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Ovo","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Oxygen","category":"sans-serif","variants":["300","regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Oxygen Mono","category":"monospace","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"PT Mono","category":"monospace","variants":["regular"],"subsets":["cyrillic","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"PT Sans","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["cyrillic","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"PT Sans Caption","category":"sans-serif","variants":["regular","700"],"subsets":["cyrillic","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"PT Sans Narrow","category":"sans-serif","variants":["regular","700"],"subsets":["cyrillic","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"PT Serif","category":"serif","variants":["regular","italic","700","700italic"],"subsets":["cyrillic","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"PT Serif Caption","category":"serif","variants":["regular","italic"],"subsets":["cyrillic","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Pacifico","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Paprika","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Parisienne","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Passero One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Passion One","category":"display","variants":["regular","700","900"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Pathway Gothic One","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Patrick Hand","category":"handwriting","variants":["regular"],"subsets":["latin","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Patrick Hand SC","category":"handwriting","variants":["regular"],"subsets":["latin","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Patua One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Paytone One","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Peralta","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Permanent Marker","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Petit Formal Script","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Petrona","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Philosopher","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["cyrillic","latin"]},{"kind":"webfonts#webfont","family":"Piedra","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Pinyon Script","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Pirata One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Plaster","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Play","category":"sans-serif","variants":["regular","700"],"subsets":["greek-ext","cyrillic","greek","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Playball","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Playfair Display","category":"serif","variants":["regular","italic","700","700italic","900","900italic"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Playfair Display SC","category":"serif","variants":["regular","italic","700","700italic","900","900italic"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Podkova","category":"serif","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Poiret One","category":"display","variants":["regular"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Poller One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Poly","category":"serif","variants":["regular","italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Pompiere","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Pontano Sans","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Port Lligat Sans","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Port Lligat Slab","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Prata","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Preahvihear","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Press Start 2P","category":"display","variants":["regular"],"subsets":["cyrillic","greek","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Princess Sofia","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Prociono","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Prosto One","category":"display","variants":["regular"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Puritan","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Purple Purse","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Quando","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Quantico","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Quattrocento","category":"serif","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Quattrocento Sans","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Questrial","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Quicksand","category":"sans-serif","variants":["300","regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Quintessential","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Qwigley","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Racing Sans One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Radley","category":"serif","variants":["regular","italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Rajdhani","category":"sans-serif","variants":["300","regular","500","600","700"],"subsets":["devanagari","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Raleway","category":"sans-serif","variants":["100","200","300","regular","500","600","700","800","900"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Raleway Dots","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Rambla","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Rammetto One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Ranchers","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Rancho","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Rationale","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Redressed","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Reenie Beanie","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Revalia","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Ribeye","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Ribeye Marrow","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Righteous","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Risque","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Roboto","category":"sans-serif","variants":["100","100italic","300","300italic","regular","italic","500","500italic","700","700italic","900","900italic"],"subsets":["greek-ext","cyrillic","greek","latin","cyrillic-ext","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Roboto Condensed","category":"sans-serif","variants":["300","300italic","regular","italic","700","700italic"],"subsets":["greek-ext","cyrillic","greek","latin","cyrillic-ext","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Roboto Slab","category":"serif","variants":["100","300","regular","700"],"subsets":["greek-ext","cyrillic","greek","latin","cyrillic-ext","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Rochester","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Rock Salt","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Rokkitt","category":"serif","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Romanesco","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Ropa Sans","category":"sans-serif","variants":["regular","italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Rosario","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Rosarivo","category":"serif","variants":["regular","italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Rouge Script","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Rubik Mono One","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Rubik One","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Ruda","category":"sans-serif","variants":["regular","700","900"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Rufina","category":"serif","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Ruge Boogie","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Ruluko","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Rum Raisin","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Ruslan Display","category":"display","variants":["regular"],"subsets":["cyrillic","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Russo One","category":"sans-serif","variants":["regular"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Ruthie","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Rye","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Sacramento","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Sail","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Salsa","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Sanchez","category":"serif","variants":["regular","italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Sancreek","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Sansita One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Sarina","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Satisfy","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Scada","category":"sans-serif","variants":["regular","italic","700","700italic"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Schoolbell","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Seaweed Script","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Sevillana","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Seymour One","category":"sans-serif","variants":["regular"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Shadows Into Light","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Shadows Into Light Two","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Shanti","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Share","category":"display","variants":["regular","italic","700","700italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Share Tech","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Share Tech Mono","category":"monospace","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Shojumaru","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Short Stack","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Siemreap","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Sigmar One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Signika","category":"sans-serif","variants":["300","regular","600","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Signika Negative","category":"sans-serif","variants":["300","regular","600","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Simonetta","category":"display","variants":["regular","italic","900","900italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Sintony","category":"sans-serif","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Sirin Stencil","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Six Caps","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Skranji","category":"display","variants":["regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Slabo 13px","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Slabo 27px","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Slackey","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Smokum","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Smythe","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Sniglet","category":"display","variants":["regular","800"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Snippet","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Snowburst One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Sofadi One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Sofia","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Sonsie One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Sorts Mill Goudy","category":"serif","variants":["regular","italic"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Source Code Pro","category":"monospace","variants":["200","300","regular","500","600","700","900"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Source Sans Pro","category":"sans-serif","variants":["200","200italic","300","300italic","regular","italic","600","600italic","700","700italic","900","900italic"],"subsets":["latin","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Source Serif Pro","category":"serif","variants":["regular","600","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Special Elite","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Spicy Rice","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Spinnaker","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Spirax","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Squada One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Stalemate","category":"handwriting","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Stalinist One","category":"display","variants":["regular"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Stardos Stencil","category":"display","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Stint Ultra Condensed","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Stint Ultra Expanded","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Stoke","category":"serif","variants":["300","regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Strait","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Sue Ellen Francisco","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Sunshiney","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Supermercado One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Suwannaphum","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Swanky and Moo Moo","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Syncopate","category":"sans-serif","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Tangerine","category":"handwriting","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Taprom","category":"display","variants":["regular"],"subsets":["khmer"]},{"kind":"webfonts#webfont","family":"Tauri","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Teko","category":"sans-serif","variants":["300","regular","500","600","700"],"subsets":["devanagari","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Telex","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Tenor Sans","category":"sans-serif","variants":["regular"],"subsets":["cyrillic","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Text Me One","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"The Girl Next Door","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Tienne","category":"serif","variants":["regular","700","900"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Tinos","category":"serif","variants":["regular","italic","700","700italic"],"subsets":["greek-ext","cyrillic","greek","latin","cyrillic-ext","vietnamese","latin-ext"]},{"kind":"webfonts#webfont","family":"Titan One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Titillium Web","category":"sans-serif","variants":["200","200italic","300","300italic","regular","italic","600","600italic","700","700italic","900"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Trade Winds","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Trocchi","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Trochut","category":"display","variants":["regular","italic","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Trykker","category":"serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Tulpen One","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Ubuntu","category":"sans-serif","variants":["300","300italic","regular","italic","500","500italic","700","700italic"],"subsets":["greek-ext","cyrillic","greek","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Ubuntu Condensed","category":"sans-serif","variants":["regular"],"subsets":["greek-ext","cyrillic","greek","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Ubuntu Mono","category":"monospace","variants":["regular","italic","700","700italic"],"subsets":["greek-ext","cyrillic","greek","latin","cyrillic-ext","latin-ext"]},{"kind":"webfonts#webfont","family":"Ultra","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Uncial Antiqua","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Underdog","category":"display","variants":["regular"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Unica One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"UnifrakturCook","category":"display","variants":["700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"UnifrakturMaguntia","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Unkempt","category":"display","variants":["regular","700"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Unlock","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Unna","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"VT323","category":"monospace","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Vampiro One","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Varela","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Varela Round","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Vast Shadow","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Vibur","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Vidaloka","category":"serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Viga","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Voces","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Volkhov","category":"serif","variants":["regular","italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Vollkorn","category":"serif","variants":["regular","italic","700","700italic"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Voltaire","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Waiting for the Sunrise","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Wallpoet","category":"display","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Walter Turncoat","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Warnes","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Wellfleet","category":"display","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Wendy One","category":"sans-serif","variants":["regular"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Wire One","category":"sans-serif","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Yanone Kaffeesatz","category":"sans-serif","variants":["200","300","regular","700"],"subsets":["latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Yellowtail","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Yeseva One","category":"display","variants":["regular"],"subsets":["cyrillic","latin","latin-ext"]},{"kind":"webfonts#webfont","family":"Yesteryear","category":"handwriting","variants":["regular"],"subsets":["latin"]},{"kind":"webfonts#webfont","family":"Zeyada","category":"handwriting","variants":["regular"],"subsets":["latin"]}]}', true );
	
	foreach ( $content['items'] as $item ) {
		$atts = array( 
			'name'         => $item['family'],
			'font_variants' => $item['variants'],
			'subsets'      => $item['subsets']
		);

		// Add this font to the fonts array
		$id				= strtolower( str_replace( ' ', '_', $item['family'] ) );
		$fonts[ $id ] 	= $atts;
	}
	
	// Filter to allow us to modify the fonts array before saving the transient
	$fonts = apply_filters( 'generate_google_fonts_array', $fonts );
				
	// Set transient for google fonts
	set_transient( 'generate_google_fonts_list', $fonts, 14 * DAY_IN_SECONDS );

}
endif;

if ( ! function_exists( 'generate_font_list' ) ) :
add_action( 'admin_init','generate_font_list' );
function generate_font_list()
{
	if ( get_transient('generate_font_list') )
		return;
		
	$fonts = ( get_transient('generate_google_fonts_list') ? get_transient('generate_google_fonts_list') : '' );
	
	$font = array();
	foreach ( $fonts as $k => $fam ) {
		$var = join(',', $fam['font_variants']);
		$font[] = $fam['name'] . ':' . $var;
	}

	set_transient('generate_font_list', $font, WEEK_IN_SECONDS);

}
endif;